HP OpenVMS Systems

ask the wizard
Content starts here

New Software, Old OpenVMS?

» close window

The Question is:

I'd like to give the people still using terminals on our VAX 4000-400 (running
 VMS 5.5-2) access to a text-only browser. Lynx from the freeware CD download
 page (LYNX2-8-1-VAX-DEC-VMS5-5-UCX.ZIP) seems ideal, but when I download it
 and try to run it I get
 the following:
$ run lynx.exe
%DCL-W-ACTIMAGE, error activating image MTHRTL
-SYSTEM-F-SHRIDMISMAT, ident mismatch with shareable image
Is there anything I can do about this? We don't have C so I can't compile Lynx
 from it's source. Our system is basic 5.5-2 as far as I know, but with the Y2K
 ECO and Process Software's TCPware 5.3 installed.
Thanks in advance,
Stephen Millband
IT Services Manager

The Answer is :

  The error message indicates that the version of LYNX from the Freeware
  CD-ROM was linked against a later version of MTHRTL than exists on your
  system.  Analysis of the image shows:
    global section major id: %X'81', minor id: %X'00800D'
    match control: ISD$K_MATLEQ
    global section name: "MTHRTL_001"
  This shows that LYNX is expecting a MTHRTL with GSMATCH value 81,800D
  The "standard" MTHRTL on a V5.5-2 system is:
    image type: shareable (IHD$K_LIM)
    global section major id: %X'81', minor id: %X'00800C'
    match control: ISD$K_MATLEQ
  Hence the mismatch.
  The most likely explanation is that LYNX was linked on a system which has
  Fortran V6.0 or higher installed.  These versions of the compiler required
  enhanced floating point routines, and so provided their own versions of
  MTHRTL (along with documentation on how to choose which RTL to link against
  and how to deal with this specific issue).
  You can simply install Fortran V6.0 or higher. You do not need to have a
  license (though, of course, you won't be able to use the compiler without
  a license).  While it is possible, the OpenVMS Wizard does not recommend
  that you extract MTHRTL.EXE, UVMTHRTL.EXE and VMTHRTL.EXE from the Fortran
  kit and place these three images in SYS$COMMON:[SYSLIB].
  Other alternatives: an OpenVMS upgrade.  Rebuilding LYNX locally.  Working
  with the folks that provided the LYNX kit to provide one that will run on
  OpenVMS VAX V5.5-2 without the application of the Fortran compiler.

answer written or last revised on ( 5-JAN-2001 )

» close window